.post {
    // Adjust elements within posts
    .content {
        ul {
            padding: 0 0 0 1rem;
            margin: 0;
        }

        .table {
            border: 1px solid $primary;
            border-collapse: collapse;

            background-color: $secondary;

            tr {
                transition: background-color 100ms;

                &:hover {
                    background-color: $gray-300;
                }
            }

            td {
                padding: 0.5rem;

                border-color: $primary;
            }
        }

        // Quotes have this class as well...
        .code-block > tbody > tr > td {
            // Hide empty column
            &:nth-child(1) {
                display: none;
            }
        }

        // inline [m] bbCode
        pre {
            margin-bottom: 0;
            padding: 2px;

            color: $black;
            white-space: pre-wrap;
            font-family: monospace !important;

            &.m {
                padding: 0;

                color: beige;
            }
        }

        .spoiler {
            padding: 0.5rem;
            width: 100%;
        }
    }

    // Resize videos in posts
    .video {
        position: relative;
    }

    .video-container {
        z-index: 100;
        position: relative;

        .handle {
            display: flex;
            justify-content: space-between;

            .arrow {
                opacity: 0.75;

                text-align: right;
                font-size: 1.5rem;
                line-height: 1em;

                transition: font-size 250ms, opacity 250ms;

                &:hover {
                    opacity: 1;

                    font-size: 1.75rem;
                    cursor: nwse-resize;
                }
            }

            .arrow.down {
                &::after {
                    content: "⇲";
                }
            }

            .arrow.up {
                &::after {
                    content: "⇱";
                }
            }
        }
    }
}

// For bookmark-links that were just activated
.create-bookmark,
.delete-bookmark {
    transition: opacity 250ms, filter 250ms;

    &.active {
        opacity: 0.75;

        pointer-events: none;
    }

    &.disabled {
        opacity: 0.5;
        filter: blur(1px);

        pointer-events: none;
    }
}

// Mark post from URL hash
.post.hash-target {
    + tr {
        background-color: $gray-600;
    }
}
